/*
This is a part of the LiteStep Shell Source code.

Copyright (C) 1997-2001 The LiteStep Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/ 
/*
  Copyright (C) 1998-1999 Johan Redestig
 
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#if !defined(__TASKMENU_H)
#define __TASKMENU_H

#include "PopupMenu.h"
#include "MenuItem.h"
class PopupMaker;

class TaskMenu : public PopupMenu
{
public:
	TaskMenu(const char *pszTitle, PopupMaker *pPopupMaker);
	virtual ~TaskMenu();

	void OnShow(BOOL fShow);
	void OnTimer(int nTimer);
	void UpdateFolder();

	static void SetTaskMenuTimerInterval(int interval)
	{ 
		TaskMenuTimerInterval = interval;
	}

	static void SetSort(BOOL zort)
	{
		sort = zort;
	}
	/*static int TaskMenu::GetTaskMenuFilterLevel()
	{
		return TaskMenuFilterLevel;
	} */
	static void SetTaskMenuFilterLevel(int level)
	{
		TaskMenuFilterLevel = level	;
	}

//	void AddMenuItem(MenuItem* m);
//	vector<MenuItem*> m_MenuItems;
protected:
	PopupMaker *m_pPopupMaker;
	static int TaskMenuTimerInterval;
	static int TaskMenuFilterLevel;
	static BOOL sort;

private:
	static void ReadPopupTaskMenuIgnore();
	static int numIgnore;
	static BOOL WINAPI EnumWindowsProc(HWND hWnd, LPARAM lParam);
	static BOOL EnumWindowsAllProc(HWND hWnd, LPARAM lParam);
};

#endif
